# easysnowdata


[![image](https://img.shields.io/pypi/v/easysnowdata.svg)](https://pypi.python.org/pypi/easysnowdata)
[![image](https://img.shields.io/conda/vn/conda-forge/easysnowdata.svg)](https://anaconda.org/conda-forge/easysnowdata)


**package to easily get data relevant to snow**

easysnowdata is a package for retrieving all types of data relevant to snow, with an emphasis on minimizing downloads and local computations. This is done by querying data via STAC catalogs, lazy loading data,  computing using dask, and utilizing cloud computation (package works best in Planetary Computer). Data is primarily ouput in xarray objects. This is a package primarily for personal use, so design decisions made are often tailored to my particular use cases. Feel free to contribute! Package is under heavy construction for the time being.

## SNOTEL tools
![rainier_snotel](https://github.com/egagli/easysnowdata/assets/67975937/6f7b6494-ebf3-41ee-a1e1-a93e14b72e1f)
![ccss_california](https://github.com/egagli/easysnowdata/assets/67975937/d041d160-56df-49e0-ab86-b38a4bcf6bdc)
## ESA Worldcover
![worldcover](https://github.com/egagli/easysnowdata/assets/67975937/7a6bea85-e1dc-4818-bfbb-14a8eaa864ad)
## Sentinel-2 L2A
![s2_scl](https://github.com/egagli/easysnowdata/assets/67975937/c86aaccc-e60f-4475-a970-bfffa2b4c34c)
## Sentinel-1 RTC
![s1](https://github.com/egagli/easysnowdata/assets/67975937/78c0ed9f-3f86-42a3-9a05-877938932b4d)
## HLS v2.0
![hls](https://github.com/egagli/easysnowdata/assets/67975937/afa00f29-fd4d-4d44-a153-5e1a026a30ff)
## Sturm & Liston seasonal snow classification
![sturm](https://github.com/egagli/easysnowdata/assets/67975937/eb8b8eb1-93a8-4640-8c36-1f54f5ea3112)
## Forest Cover Fraction

## S1 LIA

## MODIS snow

## DEMs

## Hydrology


-   Free software: MIT License
-   Documentation: https://egagli.github.io/easysnowdata
    

## Features

-   TODO
